zenilib: Lib3dsTextureMap Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsTextureMap Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

float | blur
unsigned | flags
char | name [64]
float | offset [2]
float | percent
float | rotation
float | scale [2]
float | tint_1 [3]
float | tint_2 [3]
float | tint_b [3]
float | tint_g [3]
float | tint_r [3]
unsigned | user_id
void * | user_ptr

## Detailed Description

Definition at line 190 of file lib3ds.h.

## Member Data Documentation

float Lib3dsTextureMap::blur

Definition at line 196 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

unsigned Lib3dsTextureMap::flags

Definition at line 194 of file lib3ds.h.

Referenced by initialize_texture_map(), texture_map_read(), and texture_map_write().

char Lib3dsTextureMap::name[64]

Definition at line 193 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::offset[2]

Definition at line 198 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::percent

Definition at line 195 of file lib3ds.h.

Referenced by initialize_texture_map(), texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::rotation

Definition at line 199 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::scale[2]

Definition at line 197 of file lib3ds.h.

Referenced by initialize_texture_map(), texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::tint_1[3]

Definition at line 200 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::tint_2[3]

Definition at line 201 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::tint_b[3]

Definition at line 204 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::tint_g[3]

Definition at line 203 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

float Lib3dsTextureMap::tint_r[3]

Definition at line 202 of file lib3ds.h.

Referenced by texture_map_read(), and texture_map_write().

unsigned Lib3dsTextureMap::user_id

Definition at line 191 of file lib3ds.h.

void* Lib3dsTextureMap::user_ptr

Definition at line 192 of file lib3ds.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h